%define upstream_name    SDLx-Betweener
%define upstream_version 0.0103

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    SDL Perl XS Tweening Animation Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SDLx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL) >= 1.430.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(SDL) >= 2.536.0
BuildRequires: perl-devel
BuildRequires: gcc-c++
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel

# no deps from doc:
%{?perl_default_filter}

%description
'SDLx::Betweener' is a library for animating Perl SDL elements. It lets you
move game objects (GOBs) around in various ways, rotate and scale things,
animate sprites and colors, make GOBs spawn at a given rate, and generally
bring about changes in the game over time. It lets you do these things
declaratively, without writing complex 'SDLx::Controller'
'move_handlers()'.

See the /WHY manpage and the /FEATURES manpage for an introduction to
tweening, or continue for the technical details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.10.300-5.mga5
+ Revision: 749549
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.10.300-4.mga5
+ Revision: 736609
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.10.300-3.mga5
+ Revision: 686122
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.10.300-2.mga5
+ Revision: 632480
- perl 5.20.0 rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.10.300-1.mga5
+ Revision: 616326
- update to 0.0103

* Mon Feb 10 2014 jquelin <jquelin> 0.10.200-1.mga5
+ Revision: 588636
- update to 0.0102

* Sat Oct 19 2013 umeabot <umeabot> 0.10.100-6.mga4
+ Revision: 525127
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.100-5.mga4
+ Revision: 432291
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.100-4.mga4
+ Revision: 432153
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.100-3.mga3
+ Revision: 372353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 shlomif <shlomif> 0.10.100-2.mga3
+ Revision: 326120
- No problem with parallelised builds.
- SDLx-Betweener based on cpan2pkg output


* Mon Dec 03 2012 cpan2dist 0.0100-1mga
- initial mageia release, generated with cpan2dist
